Subject: Re: git name-rev not accepting abbreviated SHA with --stdin

From: Junio C Hamano <[email-masked]>
Date: Wed, 24 Jun 2015 17:11:38 -0700

Sitaram Chamarty <[email-masked]> writes:

> This *is* documented, but I'm curious why this distinction is made.

I think it is from mere laziness, and also in a smaller degree
coming from an expectation that --stdin would be fed by another
script like rev-list where feeding full 40-hex is less work than
feeding unique abbreviated prefix.